﻿B4A=true
Group=Default Group
ModulesStructureVersion=1
Type=Class
Version=9.85
@EndOfDesignText@
#Region Shared Files
'#CustomBuildAction: folders ready, %WINDIR%\System32\Robocopy.exe,"..\..\Shared Files" "..\Files"
'Ctrl + click to sync files: ide://run?file=%WINDIR%\System32\Robocopy.exe&args=..\..\Shared+Files&args=..\Files&FilesSync=True
#End Region

'Ctrl + click to export as zip: ide://run?File=%B4X%\Zipper.jar&Args=Project.zip

Sub Class_Globals
	Private Root As B4XView
	Private xui As XUI
	Private B4XImageView1 As B4XImageView
	Private B4XImageView2 As B4XImageView
End Sub

Public Sub Initialize
'	B4XPages.GetManager.LogEvents = True
End Sub

'This event will be called once, before the page becomes visible.
Private Sub B4XPage_Created (Root1 As B4XView)
	Root = Root1
	Root.LoadLayout("MainPage")
	
	B4XImageView1.Bitmap = xui.LoadBitmap(File.DirAssets, "icon.png")
	B4XImageView1.mBackgroundColor = xui.Color_Transparent
	XUIViewsUtils.SetAlpha(B4XImageView1.mBase, 0.3)
	B4XImageView1.Update
	
	B4XImageView2.Bitmap = AlfaImage(xui.LoadBitmap(File.DirAssets,"icon.png"), 100)
	B4XImageView2.mBackgroundColor = xui.Color_Transparent
	B4XImageView2.Update
	
End Sub

'You can see the list of page related events in the B4XPagesManager object. The event name is B4XPage.

Private Sub Button1_Click
	xui.MsgboxAsync("Hello world!", "B4X")
End Sub

'Level between 0 (transparent) to 1 (opaque)
Public Sub SetAlpha (View As B4XView, Level As Float)
    #if B4A
    Dim jo As JavaObject = View
    Dim alpha As Float = Level
    jo.RunMethod("setAlpha", Array(alpha))
    #Else If B4J
	Dim n As Node = View
	n.Alpha = Level
    #else if B4i
    Dim v As View = View
    v.Alpha = Level
    #End If
End Sub

Private Sub AlfaImage(xlogo As B4XBitmap, Alpha As Int) As B4XBitmap
	Dim bc As BitmapCreator
	bc.Initialize(xlogo.Width, xlogo.Height)
	Dim LogoBC As BitmapCreator
	LogoBC.Initialize(xlogo.Width, xlogo.Height)
	LogoBC.CopyPixelsFromBitmap(xlogo)
	Dim argb, largb As ARGBColor
	For x = 0 To bc.mWidth - 1
		For y = 0 To bc.mHeight - 1
			bc.GetARGB(x, y, argb)
			LogoBC.GetARGB(x, y, largb)
			If largb.a > 0 Then
				largb.a = Alpha
				LogoBC.SetARGB(x, y, largb)
				bc.BlendPixel(LogoBC, x, y, x, y)
			End If
		Next
	Next
	Return bc.Bitmap
End Sub
